var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconSimilarityQuestionComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-similarity_question").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 14 14" }, rest, { ref: ref }),
        React.createElement("path", { d: "M7 .51c1.79 0 3.412.727 4.585 1.9a6.466 6.466 0 0 1 1.898 4.583c0 1.79-.726 3.413-1.898 4.585A6.467 6.467 0 0 1 7 13.477c-.01 0-.02-.003-.028-.003H1.5a.65.65 0 0 1 0-1.3H7l.031.002a5.165 5.165 0 0 0 3.634-1.518 5.166 5.166 0 0 0 1.519-3.665c0-1.43-.58-2.726-1.519-3.665A5.166 5.166 0 0 0 7 1.811a5.165 5.165 0 0 0-3.665 1.517 5.165 5.165 0 0 0-1.518 3.665 5.16 5.16 0 0 0 1.036 3.11.65.65 0 0 1-1.04.781 6.46 6.46 0 0 1-1.296-3.89 6.47 6.47 0 0 1 1.899-4.585A6.466 6.466 0 0 1 7 .51Zm0 8.999a.73.73 0 1 1 0 1.46.73.73 0 0 1 0-1.46Zm0-6.483a2.4 2.4 0 0 1 .65 4.708v.609a.65.65 0 0 1-1.3 0V7.176a.65.65 0 0 1 .65-.65 1.1 1.1 0 1 0-1.1-1.1.651.651 0 0 1-1.3 0 2.4 2.4 0 0 1 2.4-2.4Z" }));
}
var IconSimilarityQuestion = React.forwardRef(IconSimilarityQuestionComponent);
export default IconSimilarityQuestion;
